# Copyright, 2020, by Samuel G. D. Williams. <http://www.codeotaku.com>
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

require 'capybara'

# A selenium driver for chrome which allows insecure localhost https protocol.
# @scope Falcon Capybara Drivers
# @name selenium_chrome_https
# @attribute [Block]
Capybara.register_driver :selenium_chrome_https do |app|
	require 'selenium/webdriver'
	
	Capybara.drivers[:selenium_chrome].call(app).tap do |driver|
		driver.options[:options].args << '--allow-insecure-localhost'
	end
end

# A headless selenium driver for chrome which allows insecure localhost https protocol.
# @scope Falcon Capybara Drivers
# @name selenium_chrome_headless_https
# @attribute [Block]
Capybara.register_driver :selenium_chrome_headless_https do |app|
	require 'selenium/webdriver'
	
	Capybara.drivers[:selenium_chrome_headless].call(app).tap do |driver|
		driver.options[:options].args << '--allow-insecure-localhost'
	end
end
